RAGRAPH(1)

NAME
ragraph - graph argus(8) data.

COPYRIGHT
Copyright (c) 2000-2012 QoSient. All rights reserved.

SYNOPSIS
ragraph metric [object] [-M mode] [options] [raoptions]

DESCRIPTION

Ragraph reads argus(8) data from an argus-file, and graphs fields of interest from matching argus flow activity records. You must specify the metric(s), the flow object/identifier(s) and the time granularity required for the graph. Standard raoptions are available to filter input and specify the time range of interest, and graphing options are provided to specify x and y axis labels, titles, upper and lower range limits, and plot sizes. Support for logorithmic scaling, object stacking, and split graphing are provided to provide some flexibility in the graphs you can produce. Ragraph supports graphing most metrics that are available in argus data, including, bytes, packet counts, average duration, loss, jitter, load, and rate. These metrics can be graphed in association with flow identifiers, such as source or destination address, network address, source identifier, protocol, port numbers, services, vlan id, mpls tag, ttl, and tos values. Currently, there are limits to the number of metrics and objects that can be graphed at one time, so assume that ragraph is a simple graphing tool. By default ragraph writes its output to ragraph.png, in the current directory. Use the '-w' raoption to specify an alternate output filename. Ragraph is implemented as a perl script front-end to the routine rabins and rrd-tool, which is used to generate PNG formatted graphs. As a result ragraph supports all the raoption and most of the options to the rrd-tool graphing functions.

RA OPTIONS
Ragraph, like all ra based clients, supports a number of ra options including filtering of input argus records through a terminating filter expression, and specifying an output filename using the -w option.

See ra(1) for a complete description of ra options.

RRDTOOL GRAPH OPTIONS
Ragraph, when using rrdtool as the graphing backend, will pass rrdgraph specific options to the appropriate rrdtool module. These are the specific rrdtool options that are supported.

Appearance

-fill
    Turn off area fill.

-stack
    Turn off data stacking.

-split
    Turn off axis splitting for src/dst(in/out) traffic.

-invert
    Invert a split graph, so that src and dest data are flipped.

-rigid
    Pass rrdtool rigid parameter to rrdgraph.

Labels

-title string
    Specify a graph title.

-vertical-label string
    Specify a vertically placed yaxis label.

Size

-height pixels
    Specify height in pixels for the graph (275 pixels)

-width pixels
    Specify width in pixels for the graph (800 pixels)

-only-graph
    Generate only the graph with out any borders, title, labels, legend.

Limits

-upper value
    Specify upper bounds for graphing data (automatic).

-lower value
    Specify lower bounds for graphing data (automatic). When data is split, you need to specify the value as a negative number.

-alt-autoscale

-alt-autoscale-max
    Use rrdtool alternate y-axis autoscale algorithm. See rrdgraph manpage for information.

-no-gridfit
    Disable rrdtool grid scale modification strategies. See rrdgraph manpage for information.

Grid

-x-grid GTM:GST:MTM:MST:LTM:LST:LPR:LFM | none
    Modify rrdtool x-axis label definition. See rrdgraph manpage for information.

-y-grid 'grid step:label factor' | none
    Modify rrdtool y-axis label definition. The use of ' is important to parsing the option correctly. See rrdgraph manpage for information.

-alt-y-grid
    Modify rrdtool default y-grid behavior. See rrdgraph manpage for information.

-log
    Use logarithmic scale for y-axis.

-units-exponent value
    Set the 10** exponent scaling of the y-axis. See rrdgraph manpage for information.

-units-length value
    Set the width of the y-axis border. See rrdgraph manpage for information.

-units=si
    Turn off expoenential notation for logarithmic graphs. See rrdgraph manpage for information.

Miscellaneous

-imginfo printfstr
    Adds img information to the graph. See rrdgraph manpage for information.

-zoom factor
    Zoom the graphics by teh given factor. See rrdgraph manpage for information.

-font FONTTAG:size:[font]
    Modify rrdgraph default font. See rrdgraph manpage for information.

-font-render-mode {normal,light,mono}
    Modify rrdgraph font smoothing strength. See rrdgraph manpage for information.

-font-smoothing-threshold size
    Modify rrdgraph font smoothing font size. See rrdgraph manpage for information.

-slope-mode
    Modify rrdgraph slope-mode option. See rrdgraph manpage for information.

-no-legend
    Supress generation of the legend.

-watermark string
    Adds the given string as a wattermark. See rrdgraph manpage for information.

EXAMPLES

To graph the total load for the data in an argus-file argus.data at 10 second intervals:
    ragraph bytes -M 10s -r argus.data -title "Total Load"

To graph the rate (pkt/sec) on a destination port basis for the data from a specific probe in an argus-file argus.data at 1 minute intervals:
    ragraph bytes dport -M 1m -r argus.data - srcid 192.168.0.10

AUTHORS
Carter Bullard (carter@qosient.com).

SEE ALSO
rrdtoolhttp://oss.oetiker.sh/rrdtool ragraph(5), ra(1), rarc(5), argus(8)